corda / net.corda.core.contracts / DummyContract

# DummyContract

`data class DummyContract : Contract`

### Types

Commands | `interface Commands : CommandData`
MultiOwnerState | `data class MultiOwnerState : ContractState, State` Alternative state with multiple owners. This exists primarily to provide a dummy state with multiple participants, and could in theory be merged with SingleOwnerState by putting the additional participants in a different field, however this is a good example of a contract with multiple states.
SingleOwnerState | `data class SingleOwnerState : OwnableState, State`
State | `interface State : ContractState`

### Constructors

<init> | `DummyContract(legalContractReference: SecureHash = SecureHash.sha256(""))`

### Properties

legalContractReference | `val legalContractReference: SecureHash` Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contract's contents).

### Functions

verify | `fun verify(tx: TransactionForContract): Unit` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.

### Companion Object Functions

generateInitial | `fun generateInitial(magicNumber: Int, notary: Party, owner: PartyAndReference, vararg otherOwners: PartyAndReference): TransactionBuilder`
move | `fun move(prior: StateAndRef<SingleOwnerState>, newOwner: CompositeKey): TransactionBuilder` `fun move(priors: List<StateAndRef<SingleOwnerState>>, newOwner: CompositeKey): TransactionBuilder`